%define major	0
%define libname %mklibname gnomebt %{major}

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Version: 	0.11.0
Release: %mkrel 2

Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch2:		gnome-bluetooth-0.8.0-desktop.patch
# (fc) 0.11.0-2mdv hide status icon by default, only show during transfert or dialog popup
Patch3:		gnome-bluetooth-0.11.0-hidestatus.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext
BuildRequires:	libbtctl-devel >= 0.9
BuildRequires:	openobex-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel bluez-sdp-devel gob2 librsvg-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pygtk2.0-devel python-gobject-devel
BuildRequires:  desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python gnome-python-gnomevfs python-libbtctl
Provides:	gnome-obex-server

%description
The GNOME Bluetooth Subsystem contains a Bonobo server to control Bluetooth
devices, and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth library

%description -n %libname
Library from GNOME-Bluetooth.

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%release
Provides:	libgnomebt-devel = %version-%release
Requires:	%libname = %version
Requires:	libbtctl-devel >= 0.6

%description -n %libname-devel
Static libraries and header files from %name

%prep
%setup -q
%patch2 -p1 -b .desktop
%patch3 -p1 -b .hidestatus

%build
%configure2_5x --enable-shared --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
mv $RPM_BUILD_ROOT%_datadir/pixmaps/* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

sed -i -e 's/blueradio-48/gnome-bluetooth/g'  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-obex-server.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
cp  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-obex-server.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/

%find_lang %name

%if %_lib != lib
mv %buildroot%_prefix/lib/python* %buildroot%_libdir
%endif

rm -f %buildroot%py_platsitedir/gnomebt/*a

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%define schemas gnome-obex-server
%if %mdkversion < 200900
%post
%{update_menus}
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/gnome-obex-server.schemas
%{_bindir}/gnome-obex-*
%py_platsitedir/gnomebt
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/autostart/*.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libgnomebt.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/*.a
%attr(644,root,root)%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.11.0-2mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Frederic Crozat <fcrozat@mandriva.com> 0.11.0-2mdv2008.1
+ Revision: 159238
- Patch3: hide status icon by default, only show it during transfert or dialog popup

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 156133
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2008.1
+ Revision: 155794
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 54630
- new version

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2008.0
+ Revision: 52415
- drop patches 0,1
- fix installation

  + Jérôme Soyer <saispo@mandriva.org>
    - Readd and rediff patch1
    - Push
    - New release 0.9.0
    - Remove patch0 and patch1

* Sun Jul 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-6mdv2008.0
+ Revision: 46226
- apply fedora patches
- disable gconf schema install during build

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 45977
- builrequires python-gobject-devel
- drop old debian menu


* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8.0-4mdv2007.0
+ Revision: 123116
-Use GNOME autostart feature
-Fix menu location
-Fix icon in menu

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdv2007.1
+ Revision: 89290
- rebuild

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 72246
- rebuild for new libbtctl

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 64507
- Import gnome-bluetooth

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
- unpack patch
- update file list
- bump deps
- drop patches 0,2
- New version 0.8.0

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-7mdv2007.0
- fix provides

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2007.0
- Rebuild with latest dbus
- fix xdg menu
- use macros

* Tue May 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdk
- Patch1: fix tray icon transparency
- migrate menu to XDG

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-4mdk
- fix devel deps

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-3mdk
- patch for new openobex
- use mkrel

* Wed Jan 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- fix bug 20578

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdk
- update file list
- bump deps
- drop patches
- New release 0.7.0

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-3mdk 
- Patch2 (CVS): fix crash

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.0-2mdk
- requires gnome-python-gnomevfs (bug 15656)

* Thu Aug 18 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- add gconf schema and registration
- drop old file
- bump deps
- drop patch 0
- new version

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-15mdk
- fix lib64 patch

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-14mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.1-13mdk
- Rebuild for new python

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-12mdk
- lib64 fixes (aka pythondir path)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-11mdk
- Fix Buildrequires again

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Fix buildrequires

* Mon Sep 13 2004 Austin Acton <austin@mandrake.org> 0.5.1-9mdk
- add send dialog to menu

* Sat Aug 21 2004 Austin Acton <austin@mandrake.org> 0.5.1-8mdk
- new menu

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-7mdk
- Add xinit file for GNOME desktop

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-6mdk
- Patch0 : fix crash with gcc 3.4

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-5mdk
- rebuild for new bluez

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.5.1-4mdk
- requires gnome-python
- move bonobo plugin to main package
- add icon for server
- better group and menu location

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-3mdk
- requires pygtk2.0-libglade

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-2mdk
- move python .so to main package

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sun Jun 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5
- configure 2.5
- libify

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

